using System;

namespace takm
{
    class Program
    {
  
        static void Main(string[] args)
        {
            int prvi = Convert.ToInt32(Console.ReadLine());
            int drugi = Convert.ToInt32(Console.ReadLine());
            double konacni = 0;
            double deset = 0;
            while(prvi!=0 && drugi != 0)
            {
                if (prvi % 10 == drugi % 10)
                {
                    konacni += prvi % 10 * Math.Pow(10, deset);
                    deset += 1;
                    konacni += prvi % 10 * Math.Pow(10, deset);
                    deset += 1;
                }
                else
                {
                    konacni += Math.Max(prvi % 10, drugi % 10) * Math.Pow(10, deset);
                    deset++;
                }
                prvi /= 10;
                drugi /= 10;
            }
            if (drugi > prvi) prvi = drugi;
            while(prvi!=0)
            {
                konacni += prvi % 10 * Math.Pow(10, deset);
                deset += 1;
                prvi /= 10;
            }
        Console.WriteLine(konacni);


        }
    }
}